# Uses of Interface
org.eclipse.core.commands.ICategoryListener

Packages that use ICategoryListener
Package
Description
org.eclipse.core.commands
Application programming interfaces for commands and handlers.

## Uses of ICategoryListener in org.eclipse.core.commands

Classes in org.eclipse.core.commands that implement ICategoryListener
Modifier and Type
Class
Description
`final class`
`CommandManager`
A central repository for commands -- both in the defined and undefined states.
Methods in org.eclipse.core.commands with parameters of type ICategoryListener
Modifier and Type
Method
Description
`final void`
Category.`addCategoryListener(ICategoryListener categoryListener)`
Adds a listener to this category that will be notified when this category's state changes.
`final void`
Category.`removeCategoryListener(ICategoryListener categoryListener)`
Removes a listener from this category.